import Vue from 'vue';
import App from './App.vue';
import router from './router';
import store from './store';
import '@/plugins/components';
import ElementUI from 'element-ui';
import '@/plugins/axios';
import '@/plugins/check-res';
import '@/plugins/meta';
import '@/plugins/loading';
import '@/plugins/setting';
import 'element-ui/lib/theme-chalk/index.css'; // 默认主题
// import './assets/css/theme-green/index.css'; // 浅绿色主题
import './assets/css/icon.css';
import '@l/directives';
import 'babel-polyfill';
import animated from 'animate.css';
Vue.use(animated);
Vue.config.productionTip = false;
Vue.use(ElementUI, {
  size: 'small',
});

new Vue({
  router,
  store,
  render: h => h(App),
}).$mount('#app');
