import Vue from 'vue';
import Vuex from 'vuex';
import * as ustate from '@f/store/user/state';
import * as umutations from '@f/store/user/mutations';
import test from './test';
import menu from '@f/store/auth/menu';
import role from '@f/store/auth/role';
import userMenu from '@f/store/auth/userMenu';
import login from '@f/store/auth/login';
import dictionary from '@f/store/system/dictionary';
import schedule from '@f/store/system/schedule';
import notice from '@f/store/system/notice';
import user from '@f/store/personnel/user';
import driver from '@f/store/personnel/driver';
import client from '@f/store/client/client';
import treaty from '@f/store/client/treaty';
import project from '@f/store/client/project';
import route from '@f/store/client/route';
import mode from '@f/store/client/mode';
//拆分
import split from '@f/store/order/split';
//收入
import inBill from '@f/store/order/inBill';
//支出
import outBill from '@f/store/order/outBill';
//订单负责人
import orderPri from '@f/store/order/orderPri';

import car from '@f/store/car/car';
import daily from '@f/store/car/daily';
import order from '@f/store/order/order';
import transport from '@f/store/order/transport';
import bill from '@f/store/bill/bill';
import util from '@f/store/util';
import { menuParams, setMenuParams } from '@f/store/auth/menuParams';

Vue.use(Vuex);

export default new Vuex.Store({
  state: { ...ustate, project: 'zhwl', menuParams },
  mutations: { ...umutations, setMenuParams },
  actions: {},
  modules: {
    test,
    login,
    util,
    menu,
    role,
    userMenu,
    dictionary,
    driver,
    user,
    client,
    car,
    treaty,
    project,
    route,
    mode,
    daily,
    order,
    schedule,
    notice,
    transport,
    split,
    inBill,
    outBill,
    orderPri,
    bill,
  },
});
