const path = require('path');
const frame = path.resolve(__dirname, '../frame');
const layouts = path.resolve(__dirname, '../frame/layouts');
module.exports = {
  // publicPath: process.env.NODE_ENV === 'development' ? '/' : process.env.VUE_APP_ROUTER,
  publicPath: process.env.VUE_APP_ROUTER,

  // 打包文件
  outputDir: 'zhwl',
  configureWebpack: config => {
    Object.assign(config, {
      // 开发生产共同配置
      resolve: {
        alias: {
          '@': path.resolve(__dirname, './src'),
          '@c': path.resolve(__dirname, './src/components'),
          '@a': path.resolve(__dirname, './src/assets'),
          '@l': layouts,
          '@f': frame,
        },
      },
    });
  },
  devServer: {
    port: '7002',
    //api地址前缀
    proxy: {
      '/api/servicezhwl': {
        target: 'http://127.0.0.1:7001',
      },
      '/api/role/auth': {
        target: 'http://broadcast.waityou24.cn/', //http://broadcast.waityou24.cn/
        changeOrigin: true,
        ws: true,
      },
      '/files': {
        target: 'http://broadcast.waityou24.cn/',
      },
      '/ws': {
        target: 'http://broadcast.waityou24.cn/',
        ws: true,
      },
    },
  },
};
